Bug 173739 - MGA hardware cursor renders in wrong place
Summary: MGA hardware cursor renders in wrong place
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-20 09:30 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 15:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 5105 None None None Never

Description David Woodhouse 2005-11-20 09:30:37 UTC
After updating to X11R7, the X cursor is being displayed about 20 pixels right
of where it should be. Clicking the mouse button, and letting the mouse hover
over things, takes effect about 20 pixels left of the displayed mouse pointer.

Adding 'Option "HWCursor" "off"' to the configuration makes it work.

Comment 1 Mike A. Harris 2006-02-03 12:48:13 UTC
This was X11R7 RC2 or so I believe, given the timeframe..

Please update to the latest internal rawhide packages (or wait until
Saturday and update from public rawhide) and see if things are fixed
now.

Be sure to confirm that the 'mga' driver is in the xorg.conf, as previously
kudzu would have used the 'vesa' driver in test1/test2.

Does this resolve the problem?

Comment 2 Mike A. Harris 2006-02-21 11:07:34 UTC
ping

Comment 3 David Woodhouse 2006-02-21 11:42:29 UTC
/me tries to remember where all the components are which were in the offending
computer at the time.... I definitely need to put it back together and do some
FC5test installs...

Comment 4 Mike A. Harris 2006-06-14 16:27:29 UTC
Probably best to file this in Xorg bugzilla if it's still happening in
rawhide.




Comment 5 Mike A. Harris 2006-07-11 15:31:48 UTC
There isn't enough information present in this report as-is to investigate,
and it's probably not a Fedora specific issue per se.  If this is still
a problem in current rawhide, please file a report in Xorg bugzilla and
we'll track it there.




Note You need to log in before you can comment on or make changes to this bug.